
<div *ngFor="let article of listeArticles" [class.selected]="article === selectedArticle" (click)="onSelect(article)">
<div class="col-md-4 offset-1" style="margin-bottom: 30px;">
  <div class="card detail col-md-10" style="text-align: center; padding: 20px;">
    <P><img src={{article.image}} class="card-img-top" alt="..." style="height: 40px; width: 40px;">
      <span class="card-title" style="margin-left: 5px;">{{article.designation}}</span><br></P>
    <img src={{article.image}} class="card-img-top" alt="..." style="height: 250px; width: 250px;">
    <div class="card-body mb-5">
      <span>{{article.prix}} €</span><br>
      <span>{{article.dateMiseEnLigne | date:'dd/MM/yyyy'}}</span><br>
      <span style="text-align: start">Stock disponible:</span>
      <span class="card-text">{{article.stock}}</span><br>
    </div>
    <div class="row">
      <div class="col-md-5">
        <button type="button" class="btn btn-primary col-md-12" (click)="onClick(article)">Ajouter au panier</button>
      </div>

      <div class="col-md-5 offset-2">
        <button type="button" class="btn btn-primary col-md-12" data-toggle="modal" data-target="#exampleModal">
          Détails
        </button>
      </div>
    </div>
  </div>
</div>
</div>


<div *ngIf="selectedArticle">
  <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-body">
          <div class="card detail col-md-10" style="text-align: center; padding: 20px;">
            <P><img src={{selectedArticle.image}} class="card-img-top" alt="..." style="height: 40px; width: 40px;">
              <span class="card-title" style="margin-left: 5px;">{{selectedArticle.designation}}</span><br></P>
            <img src={{selectedArticle.image}} class="card-img-top" alt="..." style="height: 250px; width: 250px;">
            <div class="card-body">
              <span>{{selectedArticle.prix}} €</span><br>
              <span>{{selectedArticle.dateMiseEnLigne | date:'dd/MM/yyyy'}}</span><br>
              <span style="text-align: start">Stock disponible:</span>
              <span class="card-text">{{selectedArticle.stock}}</span><br>
              <h4>Description :</h4>
              <p>{{selectedArticle.content}}</p>
              <a href="#" class="btn btn-primary" style="margin-top: 25px;">Ajouter au panier</a>
            </div>
          </div>
        </div>
        <div class="modal-footer">
        </div>
      </div>
    </div>
  </div>
</div>

